<div layout:decorate="~{layouts/default}" xmlns:layout="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
    <div layout:fragment="content" >
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col"><h1 th:text="#{index.header}"></h1></div>
                    <div class="col text-end"><a role="button" class="btn btn-dark" style="color: #fff" th:href="@{/manage-book}" th:text="#{book_manage.header}"></a></div>
                </div>
            </div>
            <div class="card-body">
                <div id="dxDataGrid"></div>
            </div>
        </div>

        <script th:inline="javascript" type="text/javascript">
            /*<![CDATA[*/
                var loadDataUrl = [[@{/books-management/getAllBooks}]];

                var dataGridColumns = [
                    {dataField: "authorName", caption: [[#{common.field.authorName}]]},
                    {dataField: "bookName", caption: [[#{common.field.bookName}]]},
                    {dataField: "bookISBN", caption: [[#{common.field.isbn}]]}
                ]


            var dataSource = new DevExpress.data.CustomStore({
                load: function (loadOptions) {
                    var deferred = $.Deferred();

                    $.getJSON(loadDataUrl).done(function(data){
                        deferred.resolve(data.bookDataList)
                    }
                    );

                    return deferred.promise();
                }
            });

            jQuery(function($){
                $("#dxDataGrid").dxDataGrid({
                    dataSource: dataSource,
                    columns: dataGridColumns,
                    noDataText:[[#{common.datagrid.no_records}]]
                });
            })

            /*]]>*/

        </script>
    </div>
</div>